VULKAN_HPP_NAMESPACE::PhysicalDeviceProperties Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::PhysicalDeviceProperties:
[legend]

## Public Member Functions

| operator VkPhysicalDeviceProperties const & () const
| operator VkPhysicalDeviceProperties & ()
bool | operator== (PhysicalDeviceProperties const &rhs) const
bool | operator!= (PhysicalDeviceProperties const &rhs) const

## Data Fields

uint32_t | apiVersion
uint32_t | driverVersion
uint32_t | vendorID
uint32_t | deviceID
PhysicalDeviceType | deviceType
char | deviceName [VK_MAX_PHYSICAL_DEVICE_NAME_SIZE]
uint8_t | pipelineCacheUUID [VK_UUID_SIZE]
PhysicalDeviceLimits | limits
PhysicalDeviceSparseProperties | sparseProperties

## Detailed Description

Definition at line 27769 of file vulkan.hpp.

## Member Function Documentation

## operator VkPhysicalDeviceProperties &()

VULKAN_HPP_NAMESPACE::PhysicalDeviceProperties::operator VkPhysicalDeviceProperties & | ( |  | ) |

inline

Definition at line 27776 of file vulkan.hpp.

{
return *reinterpret_cast<VkPhysicalDeviceProperties*>(this);
}

## operator VkPhysicalDeviceProperties const &()

VULKAN_HPP_NAMESPACE::PhysicalDeviceProperties::operator VkPhysicalDeviceProperties const & | ( |  | ) | const

inline

Definition at line 27771 of file vulkan.hpp.

{
return *reinterpret_cast<const VkPhysicalDeviceProperties*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::PhysicalDeviceProperties::operator!= | ( | PhysicalDeviceProperties const & | rhs | ) | const

inline

Definition at line 27794 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator==()

bool VULKAN_HPP_NAMESPACE::PhysicalDeviceProperties::operator== | ( | PhysicalDeviceProperties const & | rhs | ) | const

inline

Definition at line 27781 of file vulkan.hpp.

{
return ( apiVersion == rhs.apiVersion )
&& ( driverVersion == rhs.driverVersion )
&& ( vendorID == rhs.vendorID )
&& ( deviceID == rhs.deviceID )
&& ( deviceType == rhs.deviceType )
&& ( memcmp( deviceName, rhs.deviceName, VK_MAX_PHYSICAL_DEVICE_NAME_SIZE * sizeof( char ) ) == 0 )
&& ( memcmp( pipelineCacheUUID, rhs.pipelineCacheUUID, VK_UUID_SIZE * sizeof( uint8_t ) ) == 0 )
&& ( limits == rhs.limits )
&& ( sparseProperties == rhs.sparseProperties );
}

References apiVersion, deviceID, deviceName, deviceType, driverVersion, limits, pipelineCacheUUID, sparseProperties, vendorID, VK_MAX_PHYSICAL_DEVICE_NAME_SIZE, and VK_UUID_SIZE.

Referenced by operator!=().

## Field Documentation

## apiVersion

uint32_t VULKAN_HPP_NAMESPACE::PhysicalDeviceProperties::apiVersion

Definition at line 27799 of file vulkan.hpp.

Referenced by operator==().

## deviceID

uint32_t VULKAN_HPP_NAMESPACE::PhysicalDeviceProperties::deviceID

Definition at line 27802 of file vulkan.hpp.

Referenced by operator==().

## deviceName

char VULKAN_HPP_NAMESPACE::PhysicalDeviceProperties::deviceName[VK_MAX_PHYSICAL_DEVICE_NAME_SIZE]

Definition at line 27804 of file vulkan.hpp.

Referenced by operator==().

## deviceType

PhysicalDeviceType VULKAN_HPP_NAMESPACE::PhysicalDeviceProperties::deviceType

Definition at line 27803 of file vulkan.hpp.

Referenced by operator==().

## driverVersion

uint32_t VULKAN_HPP_NAMESPACE::PhysicalDeviceProperties::driverVersion

Definition at line 27800 of file vulkan.hpp.

Referenced by operator==().

## limits

PhysicalDeviceLimits VULKAN_HPP_NAMESPACE::PhysicalDeviceProperties::limits

Definition at line 27806 of file vulkan.hpp.

Referenced by operator==().

## pipelineCacheUUID

uint8_t VULKAN_HPP_NAMESPACE::PhysicalDeviceProperties::pipelineCacheUUID[VK_UUID_SIZE]

Definition at line 27805 of file vulkan.hpp.

Referenced by operator==().

## sparseProperties

PhysicalDeviceSparseProperties VULKAN_HPP_NAMESPACE::PhysicalDeviceProperties::sparseProperties

Definition at line 27807 of file vulkan.hpp.

Referenced by operator==().

## vendorID

uint32_t VULKAN_HPP_NAMESPACE::PhysicalDeviceProperties::vendorID

Definition at line 27801 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::PhysicalDeviceProperties::pipelineCacheUUID
uint8_t pipelineCacheUUID[VK_UUID_SIZE]
Definition: vulkan.hpp:27805
VULKAN_HPP_NAMESPACE::PhysicalDeviceProperties::apiVersion
uint32_t apiVersion
Definition: vulkan.hpp:27799
VK_UUID_SIZE
#define VK_UUID_SIZE
Definition: vulkan_core.h:105
VULKAN_HPP_NAMESPACE::PhysicalDeviceProperties::sparseProperties
PhysicalDeviceSparseProperties sparseProperties
Definition: vulkan.hpp:27807
VULKAN_HPP_NAMESPACE::PhysicalDeviceProperties::operator==
bool operator==(PhysicalDeviceProperties const &rhs) const
Definition: vulkan.hpp:27781
VULKAN_HPP_NAMESPACE::PhysicalDeviceProperties::deviceName
char deviceName[VK_MAX_PHYSICAL_DEVICE_NAME_SIZE]
Definition: vulkan.hpp:27804
VULKAN_HPP_NAMESPACE::PhysicalDeviceProperties::driverVersion
uint32_t driverVersion
Definition: vulkan.hpp:27800
VULKAN_HPP_NAMESPACE::PhysicalDeviceProperties::vendorID
uint32_t vendorID
Definition: vulkan.hpp:27801
VULKAN_HPP_NAMESPACE::PhysicalDeviceProperties::limits
PhysicalDeviceLimits limits
Definition: vulkan.hpp:27806
uint8_t
unsigned char uint8_t
Definition: SDL_config_windows.h:59
VkPhysicalDeviceProperties
Definition: vulkan_core.h:1988
VULKAN_HPP_NAMESPACE::PhysicalDeviceProperties::deviceType
PhysicalDeviceType deviceType
Definition: vulkan.hpp:27803
VK_MAX_PHYSICAL_DEVICE_NAME_SIZE
#define VK_MAX_PHYSICAL_DEVICE_NAME_SIZE
Definition: vulkan_core.h:104
VULKAN_HPP_NAMESPACE::PhysicalDeviceProperties::deviceID
uint32_t deviceID
Definition: vulkan.hpp:27802